function  tmp=mst_wt(n);

global n0 M;

%weighted matrix w_ij
%no of "eligible" models with i linear effects j quadratic effects and k interactions
%

%no=noofmodels(n);

sn=n;
s=zeros(1,14);
s(1)=mst_md(0,0,0,sn);
s(2)=mst_md(1,0,0,sn);
s(3)=mst_md(1,1,0,sn);
s(4)=mst_md(1,1,0,sn);
s(5)=mst_md(2,0,0,sn);
s(6)=mst_md(2,0,1,sn);
s(7)=mst_md(2,1,0,sn);
s(8)=mst_md(2,0,1,sn);
s(9)=mst_md(2,1,1,sn);
s(10)=mst_md(2,2,0,sn);
s(11)=mst_md(3,0,1,sn);
s(12)=mst_md(3,1,1,sn);
s(13)=mst_md(3,0,2,sn);
s(14)=mst_md(4,0,2,sn);
sz=(n+1)*(n+2)/2;
w=zeros(sz,sz);
i1=1;
ind_a=[];ind_b=[];
while i1<n
   kk=1:i1;
   b=ones(1,i1)*(i1+1);
   ind_a=[ind_a kk];
   ind_b=[ind_b b];
   i1=i1+1;
end;

ni=size(ind_a,2);
pl=1:n;
pq=pl+n;
pi=2*n+1:2*n+ni;


w(pl+1,pi+1)=ones(n,ni)*s(11);
w(pq+1,pi+1)=ones(n,ni)*s(12);
for i=pl
    j=i+1;
    w(j,j)=s(2);
    w(j+n, j+n)=s(3);
    w(j, pq+1)=ones(1,n).*s(7);
    w(j, j+n)=s(4);
    while j<n+1
       w(i+1, j+1)=s(5);
       w(i+1+n, j+1+n)=s(10);
       j=j+1;
    end;
    ind=[find(ind_a==i) find(ind_b==i)];
    ind_i=pi(ind);
    no_ind=size(ind_i,2);
    w(i+1,ind_i+1)=ones(1,no_ind)*s(8);
    w(i+1+n,ind_i+1)=ones(1,no_ind)*s(9);
end;
%w
for ii=1:ni
    jj=ii+2*n+1;
    ij=jj;
    w(jj,jj)=s(6);
    while ij<sz
      w(jj,ij+1)=s(13);
      ij=ij+1;
    end;
 
       a1v=ones(1,ni);
       a2v=ones(1,ni);
       a1=ind_a(ii);
       b1=ind_b(ii);
       ind1=[find(ind_a==a1) find(ind_a==b1)];
       ind2=[find(ind_b==a1) find(ind_b==b1)];
       a1v(ind1)=0*ind1;
       a2v(ind2)=0*ind2;
       av=a1v.*a2v;
       ind=find(av~=0);
       if ~isempty(ind)
           w(jj,ind+2*n+1)=((0*ind)+1)*s(14); 
       end;
end;
w(1,1)=s(1);
for i=2:sz;
    w(1,i)=w(i,i);
    for j=1:i-1
        w(i,j)=w(j,i);
    end;
end;
tmp=w;












